> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List own posts

> Get a list of your own posts

**Required scope:** `posts:read`



## OpenAPI

````yaml /openapi/v3.json get /v3/access/posts
openapi: 3.1.0
info:
  title: OFAuth API
  version: 1.0.0
  description: >-
    OFAuth V3 API for linking accounts, making OnlyFans API requests, and
    receiving events.
  contact:
    email: support@ofauth.com
    url: https://ofauth.com/
servers:
  - url: https://api.ofauth.com
security:
  - ExternalOAuth: []
tags:
  - name: Link
    description: Link accounts, get and refresh tokens, and end access.
  - name: Linked accounts
    description: The linked accounts of one authorization, and their settings.
  - name: Access
    description: Make OnlyFans API requests for a linked account.
  - name: Analytics
    description: 'Access: charts, rankings, and performance data.'
  - name: Earnings
    description: 'Access: earnings charts, transactions, and chargebacks.'
  - name: Messages
    description: 'Access: messaging, chats, queue, and mass messaging.'
  - name: Posts
    description: 'Access: create, edit, list, and manage posts.'
  - name: Promotions
    description: 'Access: promotions, trials, and bundles.'
  - name: Users
    description: 'Access: user profiles, subscriptions, and actions.'
  - name: Vault
    description: 'Access: vault folders, media, and management.'
  - name: Upload
    description: 'Access: media upload and processing.'
  - name: Self
    description: 'Access: linked account profile and settings.'
  - name: Stories
    description: 'Access: stories listing and management.'
  - name: Subscriptions
    description: 'Access: subscription offers, discounts, and management.'
  - name: Realtime
    description: Webhook event formats, including OnlyFans activity events.
externalDocs:
  description: OFAuth Developer Documentation
  url: https://docs.ofauth.com
paths:
  /v3/access/posts:
    get:
      tags:
        - Posts
      summary: List own posts
      description: |-
        Get a list of your own posts

        **Required scope:** `posts:read`
      operationId: access.posts.list
      parameters:
        - name: x-linked-account-id
          in: header
          required: true
          description: >-
            The linked account to use. The user must have shared it with your
            app. A missing account returns `linked_account_required`; an account
            outside your access returns `linked_account_not_granted`.
          schema:
            type: string
            example: conn_example123
        - schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 10
            description: Number of posts to return (1-50)
          required: false
          description: Number of posts to return (1-50)
          name: limit
          in: query
        - schema:
            type: string
            enum:
              - any
              - photo
              - video
            description: >-
              Filter to posts with media. Use any for all media posts, or
              photo/video for a specific media type.
          required: false
          description: >-
            Filter to posts with media. Use any for all media posts, or
            photo/video for a specific media type.
          name: media
          in: query
        - schema:
            type: string
            enum:
              - publish_date
              - tips
              - favorites_count
            default: publish_date
            description: 'Sort posts by: publish_date, tips, or favorites_count'
          required: false
          description: 'Sort posts by: publish_date, tips, or favorites_count'
          name: sortBy
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
            description: Sort direction
          required: false
          description: Sort direction
          name: sortDirection
          in: query
        - schema:
            type: boolean
            default: false
            description: Include pinned posts
          required: false
          description: Include pinned posts
          name: pinned
          in: query
        - schema:
            type: boolean
            description: Only include posts viewable by the authenticated account
          required: false
          description: Only include posts viewable by the authenticated account
          name: onlyCanView
          in: query
        - schema:
            type: string
            pattern: ^\d+\.\d{6}$
            description: >-
              Publish time cursor from the previous response. Also accepts ISO
              datetime, seconds, or seconds.fraction.
          required: false
          description: >-
            Publish time cursor from the previous response. Also accepts ISO
            datetime, seconds, or seconds.fraction.
          name: cursor
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        author:
                          type: object
                          properties:
                            id:
                              type: number
                            username:
                              type: string
                              nullable: true
                            name:
                              type: string
                              nullable: true
                            displayName:
                              type: string
                              nullable: true
                            isVerified:
                              type: boolean
                              nullable: true
                            avatar:
                              type: string
                              nullable: true
                            avatarThumbs:
                              type: object
                              nullable: true
                              additionalProperties:
                                type: string
                          required:
                            - id
                        canDelete:
                          type: boolean
                        canEdit:
                          type: boolean
                        canViewMedia:
                          type: boolean
                        postedAt:
                          type: string
                        postedAtPrecise:
                          type: string
                        text:
                          type: string
                        tipsAmount:
                          type: string
                        canComment:
                          type: boolean
                        favoritesCount:
                          type: number
                        isFavorite:
                          type: boolean
                        mediaTotal:
                          type: number
                        mediaReady:
                          type: boolean
                        media:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              type:
                                type: string
                                enum:
                                  - photo
                                  - video
                                  - gif
                                  - audio
                              convertedToVideo:
                                type: boolean
                              canView:
                                type: boolean
                              ready:
                                type: boolean
                              error:
                                type: boolean
                              createdAt:
                                type: string
                              duration:
                                type: number
                              releaseForms:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: number
                                    name:
                                      type: string
                                    partnerSource:
                                      type: string
                                    type:
                                      type: string
                                    user:
                                      type: object
                                      properties:
                                        id:
                                          type: number
                                        name:
                                          type: string
                                        username:
                                          type: string
                                        displayName:
                                          type: string
                                          nullable: true
                                        isVerified:
                                          type: boolean
                                        avatar:
                                          type: string
                                          nullable: true
                                        avatarThumbs:
                                          type: object
                                          nullable: true
                                          additionalProperties:
                                            type: string
                                        ivStatus:
                                          type: string
                                        isFromGuest:
                                          type: boolean
                                      required:
                                        - id
                                        - name
                                        - username
                                  required:
                                    - id
                                    - name
                                    - partnerSource
                                    - type
                              hasCustomPreview:
                                type: boolean
                              urls:
                                type: object
                                additionalProperties:
                                  type: string
                              sizes:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    width:
                                      type: number
                                    height:
                                      type: number
                                    size:
                                      type: number
                            required:
                              - id
                              - type
                              - convertedToVideo
                              - canView
                              - ready
                              - error
                              - createdAt
                              - releaseForms
                        price:
                          type: number
                        releaseForms:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              name:
                                type: string
                              partnerSource:
                                type: string
                              type:
                                type: string
                              user:
                                type: object
                                properties:
                                  id:
                                    type: number
                                  name:
                                    type: string
                                  username:
                                    type: string
                                  displayName:
                                    type: string
                                    nullable: true
                                  isVerified:
                                    type: boolean
                                  avatar:
                                    type: string
                                    nullable: true
                                  avatarThumbs:
                                    type: object
                                    nullable: true
                                    additionalProperties:
                                      type: string
                                  ivStatus:
                                    type: string
                                  isFromGuest:
                                    type: boolean
                                required:
                                  - id
                                  - name
                                  - username
                            required:
                              - id
                              - name
                              - partnerSource
                              - type
                        canEditText:
                          type: boolean
                        canEditMedia:
                          type: boolean
                        canEditSchedule:
                          type: boolean
                        canEditVote:
                          type: boolean
                        previewIds:
                          type: array
                          items:
                            nullable: true
                      required:
                        - id
                        - canDelete
                        - canEdit
                        - canViewMedia
                        - media
                  page:
                    type: object
                    properties:
                      cursor:
                        type: string
                        nullable: true
                        default: null
                        description: >-
                          The cursor for this page. Pass it as `cursor` to get
                          the same page again.
                      nextCursor:
                        type: string
                        nullable: true
                      hasMore:
                        type: boolean
                    required:
                      - nextCursor
                      - hasMore
                    additionalProperties: false
                required:
                  - items
                  - page
                additionalProperties: false
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '429':
          description: Rate Limit Exceeded
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
      deprecated: false
      security:
        - ExternalOAuth: []
          LinkedAccountId: []
components:
  securitySchemes:
    ExternalOAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque
      description: Link access token for one Sandbox, Test, or Live authorization.
    LinkedAccountId:
      type: apiKey
      name: x-linked-account-id
      in: header
      description: >-
        Selects one of the authorization's linked accounts via the
        x-linked-account-id header.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.